Skip to main content

NPM

Base URL: https://drain.lat/api/v1/npm
Fetch NPM package information and metadata.
GET /api/v1/npm/package/:name
name
string
required
The NPM package name to look up.
curl "https://drain.lat/api/v1/npm/package/express" \
  -H "x-api-key: YOUR_API_KEY"
name
string
Package name.
version
string
Latest version.
description
string
Package description.
author
string
Package author.
license
string
License type.
homepage
string
Package homepage URL.
repository
string
Repository URL.
keywords
array
Package keywords.
dependencies
number
Number of dependencies.
createdAt
string
Package creation date (ISO 8601).
modifiedAt
string
Last modification date.
lastPublish
string
Last publish date.
versions
number
Total number of versions.
npmUrl
string
Link to the NPM package page.
Response
{
  "name": "express",
  "version": "4.18.2",
  "description": "Fast, unopinionated, minimalist web framework",
  "author": "TJ Holowaychuk",
  "license": "MIT",
  "homepage": "http://expressjs.com/",
  "repository": "https://github.com/expressjs/express",
  "keywords": ["express", "framework", "web", "rest", "api"],
  "dependencies": 30,
  "createdAt": "2010-01-03T00:00:00Z",
  "modifiedAt": "2023-12-01T00:00:00Z",
  "lastPublish": "2023-12-01T00:00:00Z",
  "versions": 278,
  "npmUrl": "https://www.npmjs.com/package/express",
  "scrapedAt": "2026-05-31T00:00:00Z"
}